Package org.apache.catalina.startup

# Class RealmRuleSet

java.lang.Object
org.apache.tomcat.util.digester.RuleSetBase
org.apache.catalina.startup.RealmRuleSet

All Implemented Interfaces:
  `RuleSet`

public class RealmRuleSet extends RuleSetBase

RuleSet for processing the contents of a Realm definition element. This `RuleSet` supports Realms such as the `CombinedRealm` that used nested Realms.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final String`
  `prefix`
  The matching pattern prefix to use for recognizing our elements.

  ### Fields inherited from class org.apache.tomcat.util.digester.RuleSetBase

  `namespaceURI`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RealmRuleSet()`
  Construct an instance of this `RuleSet` with the default matching pattern prefix.
  `RealmRuleSet(String prefix)`
  Construct an instance of this `RuleSet` with the specified matching pattern prefix.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addRuleInstances(Digester digester)`
  Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any).

  ### Methods inherited from class org.apache.tomcat.util.digester.RuleSetBase

  `getNamespaceURI`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### prefix

    protected final String prefix
    The matching pattern prefix to use for recognizing our elements.

- ## Constructor Details

  - ### RealmRuleSet

    public RealmRuleSet()
    Construct an instance of this `RuleSet` with the default matching pattern prefix.

  - ### RealmRuleSet

    public RealmRuleSet(String prefix)
    Construct an instance of this `RuleSet` with the specified matching pattern prefix.
    Parameters:
      `prefix` - Prefix for matching pattern rules (including the trailing slash character)

- ## Method Details

  - ### addRuleInstances

    public void addRuleInstances(Digester digester)

    Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any). This method should only be called by a Digester instance.

    Specified by:
      `addRuleInstances` in interface `RuleSet`
    Specified by:
      `addRuleInstances` in class `RuleSetBase`
    Parameters:
      `digester` - Digester instance to which the new Rule instances should be added.